=== debian/control ===
Source: kalgebra
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               kirigami2-dev,
               libanalitza-dev (>= 4:20.08.0~),
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libkf5configwidgets-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libncurses5-dev,
               libqt5opengl5-dev (>= 5.14),
               libqt5svg5-dev (>= 5.15~),
               libreadline-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.15~),
               qtdeclarative5-dev (>= 5.15~),
               qtquickcontrols2-5-dev,
               qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
Standards-Version: 4.6.2
Homepage: https://edu.kde.org/kalgebra
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalgebra
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalgebra.git
Rules-Requires-Root: no

Package: kalgebra
Architecture: amd64 arm64 armhf i386 mipsel
Section: math
Depends: kalgebra-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Conflicts: calgebra,
Description: algebraic graphing calculator
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language.
 .
 This package is part of the KDE education module.

Package: kalgebra-common
Architecture: amd64 arm64 armhf i386 mipsel
Section: math
Depends: plasma-framework,
         qml-module-org-kde-analitza,
         qml-module-qtquick2,
         ${misc:Depends},
Multi-Arch: same
Description: contains files common for kalgebra and kalgebramobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language and it contains files needed for both full and mobile
 versions.
 .
 This package is part of the KDE education module.

Package: kalgebramobile
Architecture: any
Section: math
Depends: kalgebra-common (= ${binary:Version}) [amd64 arm64 armhf i386 mipsel],
         plasma-framework,
         qml-module-org-kde-kirigami2,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: algebraic graphing calculator for small touch based interfaces
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language. This is the version for small touch based interfaces
 .
 This package is part of the KDE education module.
