=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: kalgebra
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.90.0~),
                kirigami2-dev,
-               libanalitza-dev (>= 4:20.08.0~),
-               libgl1-mesa-dev,
+               libanalitza-dev (>= 4:23.08.0~),
+               libgl-dev,
                libglu1-mesa-dev,
                libkf5configwidgets-dev (>= 5.90.0~),
                libkf5coreaddons-dev (>= 5.90.0~),
                libkf5doctools-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
                libkf5kio-dev (>= 5.90.0~),
+               libkf5plasma-dev,
                libkf5widgetsaddons-dev (>= 5.90.0~),
-               libncurses5-dev,
+               libncurses-dev,
                libqt5opengl5-dev (>= 5.14),
                libqt5svg5-dev (>= 5.15~),
                libreadline-dev,
@@ -27,10 +29,10 @@
                qtdeclarative5-dev (>= 5.15~),
                qtquickcontrols2-5-dev,
                qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://edu.kde.org/kalgebra
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalgebra
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalgebra.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra
 Rules-Requires-Root: no
 
 Package: kalgebra
@@ -39,7 +41,7 @@
 Depends: kalgebra-common (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Conflicts: calgebra,
+Conflicts: calgebra
 Description: algebraic graphing calculator
  KAlgebra is a algebraic graphing calculator with support for 3D graphing and
  MathML markup language.
