=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.90.0~),
                kirigami2-dev,
-               libanalitza-dev (>= 4:23.08.0~),
+               libanalitza-dev (>= 4:23.08.1~),
                libgl-dev,
                libglu1-mesa-dev,
                libkf5configwidgets-dev (>= 5.90.0~),
