=== debian/changelog ===
kalgebra (4:23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:01:17 +0000

kalgebra (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:41:42 +0000

kalgebra (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:56:29 +0100

kalgebra (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:35:09 -0700

kalgebra (4:23.08.4-0ubuntu3) noble; urgency=medium

  * Release to archive. 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 08 Feb 2024 04:39:17 -0700

kalgebra (4:23.08.4-0ubuntu2) noble; urgency=medium

  * Add apparmor profile to fix userns. Ref: LP:2046844 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 08 Feb 2024 04:29:52 -0700
