=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
+               dh-apparmor,
                extra-cmake-modules (>= 5.90.0~),
                kirigami2-dev,
-               libanalitza-dev (>= 4:23.08.4~),
+               libanalitza-dev (>= 4:23.08.5~),
                libgl-dev,
                libglu1-mesa-dev,
                libkf5configwidgets-dev (>= 5.90.0~),
@@ -41,6 +42,7 @@
 Depends: kalgebra-common (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
+Suggests: apparmor
 Conflicts: calgebra
 Description: algebraic graphing calculator
  KAlgebra is a algebraic graphing calculator with support for 3D graphing and
