## kalgebra 24.08.2

=== debian/changelog ===
kalgebra (4:24.08.2-1ubuntu2) plucky; urgency=medium

  * Fix analitza qml module runtime depend to be Qt6 version.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 Nov 2024 17:08:13 +0000

kalgebra (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:51:36 -0500

kalgebra (4:24.08.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update build dependencies and rules for KF6.
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 01 Nov 2024 20:48:06 -0500

kalgebra (4:23.08.5-0ubuntu7) oracular; urgency=medium

  * Allow all in apparmor following other profiles. 

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 24 May 2024 07:00:27 -0700

kalgebra (4:23.08.5-0ubuntu6) oracular; urgency=medium

  * Also include <tunables/multiarch.d> to utilize variable.

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 24 May 2024 06:59:28 -0700

kalgebra (4:23.08.5-0ubuntu5) oracular; urgency=medium

  * Set @{multiarch} rather than hard code path. (LP: #2064492)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 16 May 2024 07:00:35 -0700

kalgebra (4:22.12.3-2) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Drop the unused debian/kalgebramobile.qml-ignore file.
  * Add the configuration for the CI on salsa.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Stop using qtwebengine5-dev on mipsel, as it will be removed soon from
    that architecture.
  * Update the build dependencies according to the upstream build system:
    - drop the unused kirigami2-dev, libqt5opengl5-dev, qtquickcontrols2-5-dev
    - switch the transitional libgl1-mesa-dev to libgl-dev
    - switch the transitional libglu1-mesa-dev to libglu-dev
    - switch the transitional libncurses5-dev to libncurses-dev

 -- Pino Toscano <pino@debian.org>  Wed, 19 Jul 2023 07:02:48 +0200
