=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-apparmor,
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.3.0~),
-               libanalitza-dev (>= 4:24.08.2~),
+               libanalitza-dev (>= 4:24.12.0~),
                libgl-dev,
                libglu-dev,
                libkf6configwidgets-dev (>= 6.3.0~),
@@ -17,14 +17,14 @@
                libkf6doctools-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
                libkf6kio-dev (>= 6.3.0~),
+               libkf6widgetsaddons-dev (>= 6.3.0~),
                libkf6xmlgui-dev (>= 6.3.0~),
-               libkf6widgetsaddons-dev (>= 6.3.0~),
                libncurses-dev,
-               qt6-svg-dev (>= 6.5.0~),
                libreadline-dev,
                pkgconf,
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
+               qt6-svg-dev (>= 6.5.0~),
                qt6-webengine-dev (>= 6.5.0~) [amd64 arm64 armhf i386],
 Standards-Version: 4.7.0
 Homepage: https://edu.kde.org/kalgebra
