## kalgebra 24.12.1

=== debian/changelog ===
kalgebra (4:24.12.1-2+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 4:17.08.3-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 16 Dec 2017 12:52:33 +0000]
  * Make armhf a non-webengine architecture.
  * Fix clean target.

  [changes introduced in 4:24.12.1-2+rpi1 by Peter Michael Green]
  * fix building the -common package on non-webengine architectures.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 30 Jan 2025 13:31:51 +0000

kalgebra (4:24.12.1-2) unstable; urgency=medium

  * Release to unstable

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 17 Jan 2025 13:38:11 +0100

kalgebra (4:24.12.1-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update copyright file

  [ Salvo 'LtWorf' Tomaselli ]
  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 17 Jan 2025 10:20:46 +0100

kalgebra (4:24.08.3-1) experimental; urgency=medium

  * Team upload.

  [ Rik Mills ]
  * Fix analitza qml module runtime depend to be Qt6 version (Closes:
    #1089529).

  [ Sandro Knauß ]
  * New upstream release (24.08.3)
  * Use dh_qmldeps to calculate QML dependencies.
  * Mark kalgebra-common as Arch:all.
  * Build plasmoid for Plasma6 in kalgebra-plasmoid.

 -- Sandro Knauß <hefee@debian.org>  Sun, 08 Dec 2024 16:51:42 +0100
