=== debian/control ===
Source: kalgebra
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.3.0~),
               libanalitza-dev (>= 4:24.08.2~),
               libgl-dev,
               libglu-dev,
               kirigami-addons-dev,
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libncurses-dev,
               libplasma-dev,
               qt6-svg-dev (>= 6.5.0~),
               libreadline-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-webengine-dev (>= 6.5.0~) [amd64 arm64 i386],
Standards-Version: 4.7.0
Homepage: https://edu.kde.org/kalgebra
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalgebra
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalgebra.git
Rules-Requires-Root: no

Package: kalgebra
Architecture: amd64 arm64 i386
Section: math
Depends: kalgebra-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: kalgebra-plasmoid
Conflicts: calgebra,
Description: algebraic graphing calculator
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language.
 .
 This package is part of the KDE education module.

Package: kalgebra-common
Architecture: all
Multi-Arch: foreign
Section: math
Depends: ${misc:Depends},
Description: contains files common for kalgebra and kalgebramobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language and it contains files needed for both full and mobile
 versions.
 .
 This package is part of the KDE education module.

Package: kalgebra-plasmoid
Architecture: any
Depends: kalgebra-common (= ${source:Version}),
         ${qml6:Depends},
         ${misc:Depends},
Enhances: plasma-desktop
Breaks: kalgebra-common (<< 4:24.08.3)
Replaces: kalgebra-common (<< 4:24.08.3)
Description: Widget for Plasma desktop for kalgebra and kalgebramobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language and it contains files needed for both full and mobile
 versions.
 .
 This package ship the Plasmoid for the Plasma desktop.

Package: kalgebramobile
Architecture: any
Section: math
Depends: kalgebra-common (= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Suggests: kalgebra-plasmoid
Description: algebraic graphing calculator for small touch based interfaces
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language. This is the version for small touch based interfaces
 .
 This package is part of the KDE education module.
