=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                pkgconf,
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
-               qt6-webengine-dev (>= 6.5.0~) [amd64 arm64 i386],
+               qt6-webengine-dev (>= 6.5.0~) [amd64 arm64 armhf i386],
 Standards-Version: 4.7.0
 Homepage: https://edu.kde.org/kalgebra
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalgebra
@@ -34,7 +34,7 @@
 Rules-Requires-Root: no
 
 Package: kalgebra
-Architecture: amd64 arm64 i386
+Architecture: amd64 arm64 armhf i386
 Section: math
 Depends: kalgebra-common (= ${source:Version}),
          ${misc:Depends},
