## kalgebra 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "22")
+set(RELEASE_SERVICE_VERSION_MAJOR "24")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
 set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalgebra VERSION ${RELEASE_SERVICE_VERSION})
-set(KF5_MIN_VERSION "5.90.0")
-set(KDE_COMPILERSETTINGS_LEVEL "5.82")
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+set(KF_MIN_VERSION "6.3.0")
+set(KDE_COMPILERSETTINGS_LEVEL "6.3.0")
+find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
@@ -19,9 +19,20 @@
 include(ECMSetupVersion)
 include(FeatureSummary)
 include(ECMAddAppIcon)
+include(ECMDeprecationSettings)
+if (NOT ANDROID)
+    include(KDEClangFormat)
+    include(KDEGitCommitHooks)
+endif()
+set(QT_REQUIRED_VERSION "6.5.0")
 
-find_package(Qt${QT_MAJOR_VERSION} 5.15 REQUIRED NO_MODULE COMPONENTS Qml Quick Xml Svg PrintSupport Test)
-find_package(Analitza5 REQUIRED)
+find_package(Qt6 ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE COMPONENTS Qml Quick Xml Svg PrintSupport Test OpenGLWidgets)
+find_package(Analitza6 REQUIRED)
+
+ecm_set_disabled_deprecation_versions(QT 6.8.0
+    KF 6.5.0
+)
+
 
 set(MOBILE_BACKEND "kde" CACHE STRING "Backend to install, currently. Check /mobile/plugins/widgets/*")
 
@@ -44,16 +55,16 @@
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 add_definitions(-DQT_NO_CAST_TO_ASCII)
 
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons)
-find_package(KF5 ${KF5_MIN_VERSION} OPTIONAL_COMPONENTS ConfigWidgets WidgetsAddons KIO DocTools)
-find_package(Qt${QT_MAJOR_VERSION}WebEngineWidgets)
-if (QT_MAJOR_VERSION STREQUAL "6")
-    find_package(Qt6 REQUIRED NO_MODULE COMPONENTS OpenGLWidgets)
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons)
+find_package(KF6 ${KF_MIN_VERSION} OPTIONAL_COMPONENTS ConfigWidgets WidgetsAddons KIO DocTools XmlGui)
+find_package(Plasma)
+find_package(Qt6WebEngineWidgets)
+
+if(KF6DocTools_FOUND AND Qt6WebEngineWidgets_FOUND AND KF6ConfigWidgets_FOUND AND KF6WidgetsAddons_FOUND AND KF6KIO_FOUND AND NOT CMAKE_SYSTEM MATCHES Android*)
+    add_subdirectory(src)
 endif()
 
-
-if(KF5DocTools_FOUND AND Qt${QT_MAJOR_VERSION}WebEngineWidgets_FOUND AND KF5ConfigWidgets_FOUND AND KF5WidgetsAddons_FOUND AND KF5KIO_FOUND AND NOT CMAKE_SYSTEM MATCHES Android*)
-    add_subdirectory(src)
+if (Plasma_FOUND AND NOT CMAKE_SYSTEM MATCHES Android*)
     add_subdirectory(plasmoids)
 endif()
 
@@ -64,7 +75,7 @@
     add_subdirectory(calgebra)
 endif()
 
-if(KF5DocTools_FOUND)
+if(KF6DocTools_FOUND)
   add_subdirectory(utils)
 
   add_custom_target(commandsdoc
@@ -78,7 +89,14 @@
 endif()
 
 ki18n_install(po)
-if (KF5DocTools_FOUND)
+if (KF6DocTools_FOUND)
     kdoctools_install(po)
 endif()
 feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
+if (NOT ANDROID)
+    file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h mobile/*.cpp mobile/*.h utils/*.cpp utils/*.h)
+    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
+    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+endif()
