=== debian/changelog ===
kalgebra (4:24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add apparmor profile to fix userns.

 -- Rik Mills <rikmills@kde.org>  Wed, 12 Mar 2025 00:53:15 +0000

kalgebra (4:24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 15:38:33 +0100
