=== debian/changelog ===
kalgebra (4:25.04.0-2) unstable; urgency=medium

  * Team upload.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Update kalgebra-plasmoid.install according to the newer kpackage, which does
    not generate appstream metainfo files for packages anymore.

 -- Pino Toscano <pino@debian.org>  Sat, 04 Oct 2025 07:58:34 +0200

kalgebra (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:25:32 +0200
