=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: kalgebra
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
+               dh-apparmor,
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.3.0~),
                kirigami-addons-dev,
-               libanalitza-dev (>= 4:24.08.2~),
+               libanalitza-dev (>= 4:25.04.3~),
                libgl-dev,
                libglu-dev,
                libkf6configwidgets-dev (>= 6.3.0~),
@@ -19,7 +21,6 @@
                libkf6kio-dev (>= 6.3.0~),
                libkf6widgetsaddons-dev (>= 6.3.0~),
                libkf6xmlgui-dev (>= 6.3.0~),
-               libkirigami-dev,
                libncurses-dev,
                libplasma-dev,
                libreadline-dev,
@@ -28,10 +29,11 @@
                qt6-declarative-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),
                qt6-webengine-dev (>= 6.5.0~) [amd64 arm64 armhf i386],
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://edu.kde.org/kalgebra
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalgebra
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalgebra.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra
+Rules-Requires-Root: no
 
 Package: kalgebra
 Architecture: amd64 arm64 armhf i386
@@ -39,7 +41,7 @@
 Depends: kalgebra-common (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Suggests: kalgebra-plasmoid,
+Suggests: kalgebra-plasmoid
 Conflicts: calgebra,
 Description: algebraic graphing calculator
  KAlgebra is a algebraic graphing calculator with support for 3D graphing and
@@ -62,11 +64,11 @@
 Package: kalgebra-plasmoid
 Architecture: any
 Depends: kalgebra-common (= ${source:Version}),
+         ${qml6:Depends},
          ${misc:Depends},
-         ${qml6:Depends},
-Enhances: plasma-desktop,
-Breaks: kalgebra-common (<< 4:24.08.3),
-Replaces: kalgebra-common (<< 4:24.08.3),
+Enhances: plasma-desktop
+Breaks: kalgebra-common (<< 4:24.08.3)
+Replaces: kalgebra-common (<< 4:24.08.3)
 Description: Widget for Plasma desktop for kalgebra and kalgebramobile
  KAlgebra is a algebraic graphing calculator with support for 3D graphing and
  MathML markup language and it contains files needed for both full and mobile
@@ -81,7 +83,7 @@
          ${misc:Depends},
          ${qml6:Depends},
          ${shlibs:Depends},
-Suggests: kalgebra-plasmoid,
+Suggests: kalgebra-plasmoid
 Description: algebraic graphing calculator for small touch based interfaces
  KAlgebra is a algebraic graphing calculator with support for 3D graphing and
  MathML markup language. This is the version for small touch based interfaces
