=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.3.0~),
                kirigami-addons-dev,
-               libanalitza-dev (>= 4:25.07.80~),
+               libanalitza-dev (>= 4:25.07.90~),
                libgl-dev,
                libglu-dev,
                libkf6configwidgets-dev (>= 6.3.0~),
